{
  "name": "kemono-2-client",
  "version": "1.0.0",
  "description": "frontend for kemono 2",
  "private": true,
  "author": "BassOfBass",
  "license": "ISC",
  "scripts": {
    "dev": "webpack serve --config webpack.dev.js",
    "validate": "node scripts/validate.mjs",
    "build": "webpack --config webpack.prod.js"
  },
  "imports": {
    "#storage/*": "./src/browser/storage/*/index.ts",
    "#hooks": "./src/browser/hooks/index.ts",
    "#components/*": "./src/components/*/index.ts",
    "#env/*": "./src/env/*.ts",
    "#lib/*": "./src/lib/*/index.ts",
    "#pages/*": "./src/pages/*.tsx",
    "#entities/*": "./src/entities/*/index.ts",
    "#css": "./src/css/*.scss",
    "#assets/*": "./src/assets/*",
    "#api/*": "./src/api/*/index.ts"
  },
  "dependencies": {
    "@babel/runtime": "^7.22.10",
    "@uppy/core": "^3.4.0",
    "@uppy/dashboard": "^3.5.1",
    "@uppy/form": "^3.0.2",
    "@uppy/tus": "^3.1.3",
    "clsx": "^2.1.0",
    "diff": "^5.1.0",
    "fluid-player": "^3.22.0",
    "micromodal": "^0.4.10",
    "purecss": "^3.0.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-helmet-async": "^2.0.5",
    "react-router-dom": "^6.24.0",
    "sha256-wasm": "^2.2.2",
    "swagger-ui-react": "^5.17.14",
    "whatwg-fetch": "^3.6.17"
  },
  "devDependencies": {
    "@babel/core": "^7.22.10",
    "@babel/plugin-transform-runtime": "^7.22.10",
    "@babel/preset-env": "^7.22.10",
    "@babel/preset-react": "^7.24.7",
    "@babel/preset-typescript": "^7.24.7",
    "@hyperjump/json-schema": "^1.9.3",
    "@types/micromodal": "^0.3.5",
    "@types/node": "^20.1.0",
    "@types/react": "^18.2.0",
    "@types/react-dom": "^18.2.0",
    "@types/sha256-wasm": "^2.2.3",
    "@types/swagger-ui-react": "^4.18.3",
    "@types/webpack-bundle-analyzer": "^4.7.0",
    "babel-loader": "^8.3.0",
    "buffer": "^6.0.3",
    "copy-webpack-plugin": "^8.1.1",
    "css-loader": "^5.2.7",
    "fs-extra": "^10.1.0",
    "html-webpack-plugin": "^5.5.3",
    "mini-css-extract-plugin": "^1.6.2",
    "postcss": "^8.4.28",
    "postcss-loader": "^7.3.3",
    "postcss-preset-env": "^9.1.1",
    "rimraf": "^3.0.2",
    "sass": "^1.66.0",
    "sass-loader": "^11.1.1",
    "stream-browserify": "^3.0.0",
    "style-loader": "^2.0.0",
    "ts-loader": "^9.5.1",
    "typescript": "^5.3.3",
    "webpack": "^5.88.2",
    "webpack-bundle-analyzer": "^4.10.2",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1",
    "webpack-manifest-plugin": "^5.0.0",
    "webpack-merge": "^5.9.0",
    "yaml": "^2.4.5"
  }
}
